clc
clear
close all

% set the sample rate to 800Hz, number of samples to 800, gain of 1 on A
% and B
[dataA dataB dataD1 dataD2 dataD3 dataD4 numDataPoints] = NScope_DAQ('NumDataPoints',800,'SampleRate',8,'SensA',1,'SensB',1);

% convert to volts
voltA = ((1023 - dataA)/1023-.5)*10;
voltB = ((1023 - dataB)/1023-.5)*10;
digital_do = (dataD1)*5;

% convert to time
time = (1:numDataPoints)/40000;

figure;
plot(time,voltA,'r*',time,voltB,'b*');axis([0 max(time) -5 5]);title('A and B');

figure;
plot(time,digital_do,'r*');axis([0 max(time) -5 5]);title('D0');


